| DayF core 1.2.1.2 DayF (Decision at your Fingertips) is an AutoML freeware development framework that let developers works with Machine Learning models without any idea of AI, simply taking a csv dataset and the objective column

Public Member Functions | List of all members
gdayf.handler_metrics.h2obinomialmetricmetadata.H2OBinomialMetricMetadata Class Reference

Class Base for Binomial metricts as OrderedDict. More...

Inheritance diagram for gdayf.handler_metrics.h2obinomialmetricmetadata.H2OBinomialMetricMetadata:
[legend]
Collaboration diagram for gdayf.handler_metrics.h2obinomialmetricmetadata.H2OBinomialMetricMetadata:
[legend]

## Public Member Functions
def | __init__ (self)
| Method constructor. More...
def | set_precision (self, tolerance)
| Method to set precision measure Not implemented yet.
def | set_metrics (self, perf_metrics)
| Method to load Binomial metrics from H2OBinomialModelMetrics class. More...
Public Member Functions inherited from gdayf.metrics.binomialmetricmetadata.BinomialMetricMetadata
def | __init__ (self)
| Method constructor. More...
def | set_precision (self, tolerance)
| Method to set precision measure Not implemented yet.
Public Member Functions inherited from gdayf.metrics.metricmetadata.MetricMetadata
def | __init__ (self)
| Method constructor. More...

## Detailed Description

Class Base for Binomial metricts as OrderedDict.

Base Metrics for binomial [AUC, gains_lift_table (as json_dataframe(orient=split)), Gini, mean_per_class_error, logloss, max_criteria_and_metric_scores (as json_dataframe(orient=split)), cm (next)] cm[min_per_class_accuracy, absolute_mcc, precision, accuracy, f0point5, f2, f1] as json_dataframe(orient=split) structure

Definition at line 27 of file h2obinomialmetricmetadata.py.

## Constructor & Destructor Documentation

## ◆ __init__()

def gdayf.handler_metrics.h2obinomialmetricmetadata.H2OBinomialMetricMetadata.__init__ | ( |  | self | ) |

Method constructor.

Parameters

  self | object pointer

Definition at line 30 of file h2obinomialmetricmetadata.py.

## Member Function Documentation

## ◆ set_metrics()

def gdayf.handler_metrics.h2obinomialmetricmetadata.H2OBinomialMetricMetadata.set_metrics | ( |  | self,
|  |  | perf_metrics
| ) |  |

Method to load Binomial metrics from H2OBinomialModelMetrics class.

Parameters

  self | objetct pointer
  perf_metrics | H2OBinomialModelMetrics

Definition at line 41 of file h2obinomialmetricmetadata.py.

The documentation for this class was generated from the following file:

- D:/OneDrive/DayF/git/gdayf-core/src/gdayf/handler_metrics/h2obinomialmetricmetadata.py